List business classifications - Dwolla Developer Portal

Documentation Index

Fetch the complete documentation index at: /llms.txt

Use this file to discover all available pages before exploring further.

GET

https://api.dwolla.comhttps://api-sandbox.dwolla.com

/business-classifications

cURL

GET https://api-sandbox.dwolla.com/business-classifications
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY
// Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
dwolla
  .get("business-classifications")
  .then((res) => res.body._embedded["business-classifications"][0].name); // => 'Accommodation and Food Services'
# Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
classifications = app_token.get('business-classifications')
classifications.body['_embedded']['business-classifications'][0]['name'] # => 'Accommodation and Food Services'
<?php
// Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php
$businessClassificationsApi = new DwollaSwagger\BusinessClassificationsApi($apiClient);
$classifications = $businessClassificationsApi->_list();
$classifications->_embedded->{'business-classifications'}[0]->name; # => "Accommodation and Food Services"
?>
# Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
classifications = app_token.get "business-classifications"
classifications._embedded.['business-classifications'][0].name # => "Accommodation and Food Services"

Response Codes: 200, 403, 404

{
  "_links": {},
  "_embedded": {
    "business-classifications": [
      {
        "_links": {
          "self": {
            "href": "https://api.dwolla.com",
            "type": "application/vnd.dwolla.v1.hal+json",
            "resource-type": "resource-type"
          }
        },
        "_embedded": {
          "industry-classifications": [
            {
              "id": "9ed3f66b-7d6f-11e3-95ac-5404a6144203",
              "name": "Wineries"
            }
          ]
        },
        "id": "9ed3f669-7d6f-11e3-b545-5404a6144203",
        "name": "Food retail and service"
      }
    ]
  },
  "total": 3
}
{
  "code": "Forbidden",
  "message": "The supplied credentials are not authorized for this resource."
}
{
  "code": "NotFound",
  "message": "The requested resource was not found."
}

Authorizations

Authorization

string

header

required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

Accept

enum

default:application/vnd.dwolla.v1.hal+json

required

The media type of the response. Must be application/vnd.dwolla.v1.hal+json

Available options:

application/vnd.dwolla.v1.hal+json

Response

200

application/vnd.dwolla.v1.hal+json

successful operation

_links

object

Show child attributes

_embedded

object

Show child attributes

total

integer

Example:

3